# Modul 169 Projekt – Kundenverwaltung mit FastAPI & PostgreSQL

# Projektbeschreibung

Dieses Projekt wurde im Rahmen des Moduls 169 umgesetzt. Es beinhaltet eine einfache REST API zur Verwaltung von Kundendaten mit FastAPI. Die Daten werden in einer PostgreSQL Datenbank gespeichert. Die gesamte Anwendung wird über Docker Compose bereitgestellt und ist reproduzierbar startbar.

---

# Startanleitung

# Voraussetzungen

- Docker
- Docker Compose
- Git

# Projekt klonen und starten

```bash
git clone https://gitlab.bbbaden.ch/N.Manivannan.inf23/modul-169-negilan-manivannan.git
cd modul-169-negilan-manivannan
cp .env.example .env
docker-compose up --build
